Bug 865471 (CVE-2012-5088)

Summary: CVE-2012-5088 OpenJDK: MethodHandle insufficient access control checks (Libraries, 7196190)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: aph, dbhole, jvanek, neugens, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20121016,reported=20121011,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.6.0-sun=notaffected,rhel-6/java-1.6.0-sun=notaffected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: icedtea7 2.1.3, icedtea7 2.2.3, icedtea7 2.3.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-16 03:51:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 862579    

Description Tomas Hoger 2012-10-11 10:14:55 EDT
It was discovered that the java.lang.invoke.MethodHandle implementation did not properly do access control checks.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 2 Tomas Hoger 2012-10-17 10:39:58 EDT
Fixed now in Oracle JDK 7u9.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html
Comment 3 errata-xmlrpc 2012-10-17 12:10:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1386 https://rhn.redhat.com/errata/RHSA-2012-1386.html
Comment 5 errata-xmlrpc 2012-10-18 12:46:21 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1391 https://rhn.redhat.com/errata/RHSA-2012-1391.html
Comment 6 errata-xmlrpc 2012-11-15 16:09:10 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html